Bug 61068 - zlib vulnerability
Summary: zlib vulnerability
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: chromium (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-12 23:28 UTC by jens.koerber
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-12 23:28:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jens.koerber 2002-03-12 23:28:41 UTC
Description of Problem:
The PNG loader library is statically linked against zlib-1.1.13

Fix:

Patch3: zlib-1.1.3-sec.patch

%prep
%setup -q -n Chromium-0.9 -a 1
%patch1 -p1 -b .config
%patch2 -p1 -b .SDL
find . -type d -name .xvpics -exec rm -rf {} \; ||:

# zlib patch
cd support/glpng/src
%patch3 -p0 -b .zlib-sec
cd ../../..

Additional Information:
http://CERT.Uni-Stuttgart.DE/files/fw/find-zlib

Comment 1 Ngo Than 2002-03-13 10:53:55 UTC
It's fixed in chromium-0.9.12-11. Thank


Note You need to log in before you can comment on or make changes to this bug.